.related-products {display: block;overflow: hidden;}

.related-products .title-block{justify-content: space-between;gap: 30px;margin-bottom: 60px;}
.related-products .title-block .button{flex-shrink: 0;width: fit-content;}

.related-products .related-products-slider{overflow: unset;}
.related-products .related-products-slider:not(.swiper-initialized) .swiper-wrapper{flex-wrap: wrap;gap: 60px 20px;}
.related-products .related-products-slider .swiper-slide{width: calc(33.33% - 13.33px);}

.related-products .related-products-slider:not(.swiper-initialized) .swiper-button,
.related-products .related-products-slider .swiper-button.swiper-button-lock{display: none;}

@media screen and (max-width: 989px){
  .related-products .related-products-slider .swiper-slide{width: calc(50% - 20px);}
}

@media screen and (min-width: 750px){
    .related-products .title-block .button{align-self: center;}
}

@media screen and (max-width: 749px){
    .related-products .related-products-slider:not(.swiper-initialized) .swiper-wrapper{gap: 30px 15px;}
    .related-products .title-block{flex-direction: column;gap: 25px;}
    .related-products .related-products-slider .swiper-slide{width: 100%;}
}